import type monaco from "monaco-editor"

import githubDark from "./githubDark.json"
import githubDarkDefault from "./githubDarkDefault.json"
import githubLight from "./githubLight.json"
import githubLightDefault from "./githubLightDefault.json"

export function defineMonacoThemes({ editor }: Pick<typeof monaco, "editor">) {
  editor.defineTheme("github-light-default", githubLightDefault as any)
  editor.defineTheme("github-light", githubLight as any)
  editor.defineTheme("github-dark-default", githubDarkDefault as any)
  editor.defineTheme("github-dark", githubDark as any)
}
